SC_GET_CHALLENGE(3)

NAME
sc_get_challenge - Request a challenge from a card

SYNOPSIS

#include <opensc.h>
int sc_get_challenge(struct sc_card *card, unsigned char *rnd, size_t len);

DESCRIPTION

This function requests a challenge (i.e. random bytes) fromcard. The returned data will be stored inrnd, and will be len bytes long.

RETURN VALUE

Returns 0 if successful, or a negative value in case of error.